Bug 998898 - libstoragemgmt: Traceback when using ontap+ssl plugin and happens timeout
libstoragemgmt: Traceback when using ontap+ssl plugin and happens timeout
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libstoragemgmt (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Tony Asleson
Bruno Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 06:09 EDT by Bruno Goncalves
Modified: 2014-06-18 00:54 EDT (History)
0 users

See Also:
Fixed In Version: libstoragemgmt-0.0.22-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:06:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Goncalves 2013-08-20 06:09:19 EDT
Description of problem:
Traceback happens when trying to create a LUN to NetApp box using ssl connection and a timeout occurs.

lsmcli -w 300  -u ontap+ssl://root@na3170b.lab.bos.redhat.com --create-volume=lsm-timeout-test-lun --size=2G --pool=6e3dc350-811e-11e0-a8a4-00a09827d1ba --provisioning=DEFAULT

error: 303 msg: Unhandled exception in plug-in data: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/lsm/pluginrunner.py", line 94, in run
    **msg['params'])
  File "/usr/lib/python2.7/site-packages/lsm/ontap.py", line 67, in na_wrapper
    return method(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/lsm/ontap.py", line 306, in volume_create
    self._size_kb_padded(size_bytes))
  File "/usr/lib/python2.7/site-packages/lsm/ontap.py", line 286, in _na_volume_resize_restore
    self.f.volume_resize(vol, size_diff)
  File "/usr/lib/python2.7/site-packages/lsm/na.py", line 312, in volume_resize
    self._invoke('volume-size', params)
  File "/usr/lib/python2.7/site-packages/lsm/na.py", line 169, in _invoke
    command, parameters, self.ssl)
  File "/usr/lib/python2.7/site-packages/lsm/na.py", line 105, in netapp_filer
    rc = netapp_filer_parse_response(handler.read())
  File "/usr/lib64/python2.7/socket.py", line 351, in read
    data = self._sock.recv(rbufsize)
  File "/usr/lib64/python2.7/httplib.py", line 567, in read
    s = self.fp.read(amt)
  File "/usr/lib64/python2.7/socket.py", line 380, in read
    data = self._sock.recv(left)
  File "/usr/lib64/python2.7/ssl.py", line 241, in recv
    return self.read(buflen)
  File "/usr/lib64/python2.7/ssl.py", line 160, in read
    return self._sslobj.read(len)
SSLError: The read operation timed out



Version-Release number of selected component (if applicable):
libstoragemgmt-0.0.22-2.el7.x86_64
libstoragemgmt-netapp-plugin-0.0.22-2.el7.noarch

How reproducible:
100%

Steps to Reproduce:
1.Try to create a LUN with short timeout
lsmcli -w 300  -u ontap+ssl://root@na3170b.lab.bos.redhat.com --create-volume=lsm-timeout-test-lun --size=2G --pool=6e3dc350-811e-11e0-a8a4-00a09827d1ba --provisioning=DEFAULT
Comment 1 Tony Asleson 2013-10-04 17:47:25 EDT
Added additional except block for SSLErrors.
Comment 2 Bruno Goncalves 2013-10-07 06:03:19 EDT
Reproduced on libstoragemgmt-0.0.22-2.el7.x86_64.
Verified on libstoragemgmt-0.0.22-3.el7.x86_64.
Comment 3 Ludek Smid 2014-06-13 09:06:40 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.